// termino.cpp - Implementación de la clase CTermino
//
#include <iostream>                                                                    
#include <cmath>           
#include "termino.h" // clases CTermino
using namespace std;

/////////////////////////////////////////////////////////////////
CTermino::CTermino(float coef, int expx, int expy) :
Coeficiente(coef), ExponenteDeX(expx), ExponenteDeY(expy) {}

void CTermino::AsignarCoeficiente(float coef)
{
  Coeficiente = coef;
}

float CTermino::ObtenerCoeficiente() const
{
  return Coeficiente;
}

void CTermino::AsignarExponenteDeX(int exp)
{
  ExponenteDeX = exp;
}

int CTermino::ObtenerExponenteDeX() const
{
  return ExponenteDeX;
}

void CTermino::AsignarExponenteDeY(int exp)
{
  ExponenteDeY = exp;
}

int CTermino::ObtenerExponenteDeY() const
{
  return ExponenteDeY;
}

// Visualizar un término
void CTermino::VisualizarTermino()
{
  cout << ((Coeficiente < 0) ? " - " : " + ")
       << fabs(Coeficiente);
  if (ExponenteDeX) cout << "x^" << ExponenteDeX;
  if (ExponenteDeY) cout << "y^" << ExponenteDeY;
}
/////////////////////////////////////////////////////////////////

